<?php
/*********************************************************      
 程序说明：         
    功能说明：话务分析条件选择

    调用关系：调用: header.inc     
              被调用:      
 
    变量说明：
	          
     返回值：无

 作者：   
      
修改注释：      
NO.1      
姓名：            
时间：      
修改说明：      
*********************************************************/  
require("../../inc/header.inc");
$helpId = "3.6"; 
$db=$csta_db;
$device_name=isset($device_name)?$device_name:$DEFAULT_SYS;
if($sysType == 'MSC'){
	$headName = "MSC > E1";
}else{
	$headName = $sysType;
}
?>

<base target="main">

<script language="javascript">
<!--
function display(){
	if (document.selectform.sel_time.checked){
		document.all["set_time"].style.visibility="visible";
	}else{   
		document.all["set_time"].style.visibility="hidden";
	}
 }

function preview_E1(){
	var URL;
	URL="./set_trunk_graphing.php?"+"device_name="+"<?php echo $device_name; ?>";
	var msgWindow = open(URL, 'newWin', 'toolbar=yes,directories=yes,menubar=yes,status=yes,resizable=yes,scrollbars=yes,left=0,top=0,width=800,height=600');      
	msgWindow.focus();
}

function select_device(){      
	var base_url,url_add,url; 
	base_url='<?php echo"$PHP_SELF";?>?device_name=';
	url_add=document.selectform.device_list.options[document.selectform.device_list.selectedIndex].value;      
	url=base_url+url_add;
	window.location=url;      
}   
//-->
</script>
<body leftmargin=12 topmargin=0>
<?php
  $day0=date("Y-m-d",mktime(0,0,0,date("m"),date("d"),date("Y")));
  $day1=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-1,date("Y")));
  $day2=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-2,date("Y")));
  $day3=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-3,date("Y")));
  $day4=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-4,date("Y")));
  $day5=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-5,date("Y")));
  $day6=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-6,date("Y")));
?>    
<?php 
echo "<table border=\"0\" width=\"100%\">";
echo "<tr>";
echo "<td width=\"50%\">";
echo "$strTitlePerformance > $headName";
echo "</td>";
echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
showHelp($helpId);
echo "</td>";
echo "</tr>";
echo "</table>";

?>
<form method="post" name="selectform"  id="selectform" action="e1Down.php" >            
<table border="0" width="100%" cellpadding="2" cellspacing="0"  bordercolor="#666666" bordercolordark="#FFFFFF" bgcolor="#FFFFFF"  >     <tr bgcolor="#E6E6E6">
  <td bgcolor="#FFFFFF">   
<?php
if($sysType=='MSC'){
?>
    <select style="font-family: Verdana; font-size: 8pt" name="query_type" size="1">           
        <option value="0">In & out</option>          
        <option value="1">Incoming</option>          
        <option value="2">Outgoing</option>          
    </select>&nbsp; 
<?php
}
?>
<?php
echo "$strDate:";
?>
<select style="font-family: Verdana; font-size: 8pt" name="sel_date" size="1">           
<?php           
	echo "<OPTION selected value=\"0\">$day0</OPTION>";
	echo "<OPTION value=\"1\">$day1</OPTION>";
	echo "<OPTION value=\"2\">$day2</OPTION>";
	echo "<OPTION value=\"3\">$day3</OPTION>";
	echo "<OPTION value=\"4\">$day4</OPTION>";
	echo "<OPTION value=\"5\">$day5</OPTION>";
	echo "<OPTION value=\"6\">$day6</OPTION>";
?>
</SELECT>
</td>   
  <td bgcolor="#FFFFFF">        
	<div onClick="javascript:document.selectform.submit();" style="cursor:hand">
		<IMG align=absBottom border=0 src="../../images/search.gif" ><?php echo "$strSearch"; ?>
	<div>
  </td>      
  <td bgcolor="#FFFFFF">        　               
  </td>     
  <td bgcolor="#FFFFFF" width="40">       
  <td bgcolor="#FFFFFF" width="5">       
  </td>     
  <td width="100" bgcolor="#FFFFFF">     
	<?php echo "$strSpecifyTime"; ?><input style="font-family: Verdana; font-size: 8pt" name=sel_time onClick=display() value="true" type="checkbox" >      
  </td>      
  <td bgcolor="#FFFFFF"> 	     
  <DIV align=left id=set_time style="VISIBILITY: hidden;">         
	  <table width="100%">         
	  <tr>          
	    <td align="center">          
        <?php echo "$strFrom"; ?>&nbsp;  
        <input style="font-family: Verdana; font-size: 8pt" name="hou_1" size="2" value="00" maxLength="2">&nbsp;<?php echo "$strHour"; ?>&nbsp;  
        <input style="font-family: Verdana; font-size: 8pt" name="mid_1" size="2" value="00" maxLength="2">&nbsp;<?php echo "$strMinute"; ?>&nbsp;  
        <input style="font-family: Verdana; font-size: 8pt" name="sec_1" size="2" value="00" maxLength="2">&nbsp;<?php echo "$strSecond"; ?>&nbsp;  
        <?php echo "$strTo"; ?>&nbsp;  
        <input style="font-family: Verdana; font-size: 8pt" maxLength="2" name="hou_2" size="2" value="23">&nbsp;<?php echo "$strHour"; ?>&nbsp;  
        <input style="font-family: Verdana; font-size: 8pt" name="mid_2" size="2" value="59" maxLength="2">&nbsp;<?php echo "$strMinute"; ?>&nbsp;  
        <input style="font-family: Verdana; font-size: 8pt" name="sec_2" size="2" value="59" maxLength="2">&nbsp;<?php echo "$strSecond"; ?>&nbsp;
	    </td>          
	  </tr>                                        
	  </table>                  
	</DIV>       
  </td>             
</tr>            
</table>   
<input type="hidden" name="sysType" value="<?php echo $sysType;?>">
</form>                        
</body>                       
</html>
